Bug 815625 - Using certain characters in passwords causes malformed XML error
Summary: Using certain characters in passwords causes malformed XML error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 815837
TreeView+ depends on / blocked
 
Reported: 2012-04-24 05:47 UTC by William Brown
Modified: 2015-01-04 23:51 UTC (History)
5 users (show)

Fixed In Version: freeipa-3.0.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 815837 (view as bug list)
Environment:
Last Closed: 2012-10-16 07:16:26 UTC


Attachments (Terms of Use)

Description William Brown 2012-04-24 05:47:40 UTC
Description of problem:
Using the character '<' in a password causes CA setup (3/17) to fail with malformed XML error.

Version-Release number of selected component (if applicable):
2.1.90-rc1

How reproducible:
Always


Steps to Reproduce:
1. Set directory manager password to have a '<' in it.
2. View error
  
Actual results:
Unhandled error and setup is aborted

Expected results:
Setup completes.

Comment 1 Martin Kosek 2012-04-24 10:46:59 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2675

Comment 2 Rob Crittenden 2012-04-24 15:15:56 UTC
What is the package version of pki-silent?

What distro of Fedora?

Comment 3 William Brown 2012-04-24 15:48:01 UTC
(In reply to comment #2)
> What is the package version of pki-silent?

Highest avaliable in updates-testing from fedora 17.

> 
> What distro of Fedora?

17 Beta x86_64 fully upgraded as of today.

Comment 4 Rob Crittenden 2012-04-25 04:29:57 UTC
I can only assume that you mean pki-silent-9.0.19-3.fc17

Comment 5 William Brown 2012-04-25 05:56:02 UTC
(In reply to comment #4)
> I can only assume that you mean pki-silent-9.0.19-3.fc17

Yes, My apologies for not being able to give you the exact version myself. I was not able to access the development VM at the time.

Comment 6 Martin Kosek 2012-05-15 08:28:21 UTC
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/1de37e8110e2b9fb69253cadfe4c1da1bc2e30f6

ipa-server-install now won't allow the DM password characters that are causing the failulre.


Note You need to log in before you can comment on or make changes to this bug.